SDL_kmsdrmvideo.h File Reference
`#include "../../SDL_internal.h"`
`#include "../SDL_sysvideo.h"`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <poll.h>`
`#include <xf86drm.h>`
`#include <xf86drmMode.h>`
`#include <gbm.h>`
Include dependency graph for SDL_kmsdrmvideo.h:

Go to the source code of this file.

## Data Structures

struct | SDL_VideoData
struct | SDL_DisplayData
struct | SDL_WindowData
struct | KMSDRM_FBInfo

## Functions

KMSDRM_FBInfo * | KMSDRM_FBFromBO (_THIS, struct gbm_bo *bo)
SDL_bool | KMSDRM_WaitPageFlip (_THIS, SDL_WindowData *wdata, int timeout)
int | KMSDRM_VideoInit (_THIS)
void | KMSDRM_VideoQuit (_THIS)
void | KMSDRM_GetDisplayModes (_THIS, SDL_VideoDisplay *display)
int | KMSDRM_SetDisplayMode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
int | KMSDRM_CreateWindow (_THIS, SDL_Window *window)
int | KMSDRM_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
void | KMSDRM_SetWindowTitle (_THIS, SDL_Window *window)
void | KMSDRM_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | KMSDRM_SetWindowPosition (_THIS, SDL_Window *window)
void | KMSDRM_SetWindowSize (_THIS, SDL_Window *window)
void | KMSDRM_ShowWindow (_THIS, SDL_Window *window)
void | KMSDRM_HideWindow (_THIS, SDL_Window *window)
void | KMSDRM_RaiseWindow (_THIS, SDL_Window *window)
void | KMSDRM_MaximizeWindow (_THIS, SDL_Window *window)
void | KMSDRM_MinimizeWindow (_THIS, SDL_Window *window)
void | KMSDRM_RestoreWindow (_THIS, SDL_Window *window)
void | KMSDRM_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | KMSDRM_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | KMSDRM_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
int | KMSDRM_GLES_LoadLibrary (_THIS, const char *path)
void * | KMSDRM_GLES_GetProcAddress (_THIS, const char *proc)
void | KMSDRM_GLES_UnloadLibrary (_THIS)
SDL_GLContext | KMSDRM_GLES_CreateContext (_THIS, SDL_Window *window)
int | KMSDRM_GLES_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
int | KMSDRM_GLES_SetSwapInterval (_THIS, int interval)
int | KMSDRM_GLES_GetSwapInterval (_THIS)
int | KMSDRM_GLES_SwapWindow (_THIS, SDL_Window *window)
void | KMSDRM_GLES_DeleteContext (_THIS, SDL_GLContext context)

## Function Documentation

## KMSDRM_CreateWindow()

int KMSDRM_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_CreateWindowFrom()

int KMSDRM_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

## KMSDRM_DestroyWindow()

void KMSDRM_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_FBFromBO()

KMSDRM_FBInfo* KMSDRM_FBFromBO | ( | _THIS | ,
|  | struct gbm_bo * | bo
| ) |  |

## KMSDRM_GetDisplayModes()

void KMSDRM_GetDisplayModes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

## KMSDRM_GetWindowWMInfo()

SDL_bool KMSDRM_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

## KMSDRM_GLES_CreateContext()

SDL_GLContext KMSDRM_GLES_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_GLES_DeleteContext()

void KMSDRM_GLES_DeleteContext | ( | _THIS | ,
|  | SDL_GLContext | context
| ) |  |

## KMSDRM_GLES_GetProcAddress()

void* KMSDRM_GLES_GetProcAddress | ( | _THIS | ,
|  | const char * | proc
| ) |  |

## KMSDRM_GLES_GetSwapInterval()

int KMSDRM_GLES_GetSwapInterval | ( | _THIS |  | ) |

## KMSDRM_GLES_LoadLibrary()

int KMSDRM_GLES_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

## KMSDRM_GLES_MakeCurrent()

int KMSDRM_GLES_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

## KMSDRM_GLES_SetSwapInterval()

int KMSDRM_GLES_SetSwapInterval | ( | _THIS | ,
|  | int | interval
| ) |  |

## KMSDRM_GLES_SwapWindow()

int KMSDRM_GLES_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_GLES_UnloadLibrary()

void KMSDRM_GLES_UnloadLibrary | ( | _THIS |  | ) |

## KMSDRM_HideWindow()

void KMSDRM_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_MaximizeWindow()

void KMSDRM_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_MinimizeWindow()

void KMSDRM_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_RaiseWindow()

void KMSDRM_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_RestoreWindow()

void KMSDRM_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_SetDisplayMode()

int KMSDRM_SetDisplayMode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |

## KMSDRM_SetWindowGrab()

void KMSDRM_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

## KMSDRM_SetWindowIcon()

void KMSDRM_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

## KMSDRM_SetWindowPosition()

void KMSDRM_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_SetWindowSize()

void KMSDRM_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_SetWindowTitle()

void KMSDRM_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_ShowWindow()

void KMSDRM_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## KMSDRM_VideoInit()

int KMSDRM_VideoInit | ( | _THIS |  | ) |

## KMSDRM_VideoQuit()

void KMSDRM_VideoQuit | ( | _THIS |  | ) |

## KMSDRM_WaitPageFlip()

SDL_bool KMSDRM_WaitPageFlip | ( | _THIS | ,
|  | SDL_WindowData * | wdata,
|  | int | timeout
| ) |  |